Bug 1284790 - (python-tabulate) Review Request: python-tabulate - Pretty-print tabular data in Python, a library and a command-line utility
Review Request: python-tabulate - Pretty-print tabular data in Python, a libr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-11-24 04:02 EST by Igor Gnatenko
Modified: 2015-12-09 15:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 15:51:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-24 04:02:41 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-tabulate.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-tabulate-0.7.5-1.fc24.src.rpm
Description:
The main use cases of the library are:

* printing small tables without hassle: just one function call, formatting is
  guided by the data itself
* authoring tabular data for lightweight plain-text markup: multiple output
  formats suitable for further editing or transformation
* readable presentation of mixed textual and numeric data: smart column
  alignment, configurable number formatting, alignment by a decimal point
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-26 15:59:08 EST
Same as for other packages: I think that the tools are not python-version specific, and there should be just one script in /usr/bin.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-28 21:23:03 EST
- license is OK
- license file is present, %license is used
- latest version
- builds fine
- provides/requires sane
- uses latest python packaging template

Package is APPROVED.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-11-28 21:24:44 EST
The guidelines say that I must provide rpmlint output. Here it is:

python3-tabulate.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/__pycache__/tabulate.cpython-35.opt-1.pyc
python3-tabulate.noarch: W: no-manual-page-for-binary tabulate
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

All ignorable.
Comment 5 Till Maas 2015-11-29 10:21:01 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-tabulate
Comment 6 Fedora Update System 2015-11-29 11:07:49 EST
python-tabulate-0.7.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4f0ef807ad
Comment 7 Fedora Update System 2015-11-29 18:52:30 EST
python-tabulate-0.7.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-tabulate'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4f0ef807ad
Comment 8 Fedora Update System 2015-12-09 15:51:09 EST
python-tabulate-0.7.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.